#ifndef QRK_CAPTURE_SETTINGS_H
#define QRK_CAPTURE_SETTINGS_H

/*!
  \file
  \brief f[^擾ݒ

  \author Satofumi KAMIMURA

  $Id: CaptureSettings.h 783 2009-05-05 08:56:26Z satofumi $
*/

/*!
  \brief Quick Robot Development Kit.
*/
namespace qrk
{
  /*!
    \brief Mf[^̃^Cv
  */
  typedef enum {
    TypeUnknown,                //!< s
    QT,                         //!< ~R}hM
    GD,                         //!< f[^擾( 3 byte \)
    GS,                         //!< f[^擾( 2 byte \)
    MD,                         //!< f[^擾( 3 byte \)
    MS,                         //!< f[^擾( 2 byte \)
    ME,                         //!< M R}h̉
    Mx_Reply,                   //!< Mx R}h̍ŏ̉bZ[W
    InvalidData,                //!< Mf[^̃G[
  } CaptureType;


  /*!
    \brief f[^擾ݒ
  */
  class CaptureSettings
  {
  public:
    CaptureType type;           //!< Mf[^̎
    int error_code;             //!< G[R[h
    long timestamp;             //!< ^CX^v [msec]
    int capture_first;          //!< 擾JnCfbNX
    int capture_last;           //!< 擾ICfbNX
    int skip_lines;             //!< ԈC
    int skip_frames;            //!< f[^擾Ԋu
    int remain_times;           //!< f[^擾̎c
    int data_byte;              //!< f[^oCg


    CaptureSettings(void)
      : type(TypeUnknown), error_code(-1), timestamp(-1),
        capture_first(-1), capture_last(-1),
        skip_lines(-1), skip_frames(-1), remain_times(-1), data_byte(-1)
    {
    }
  };
}

#endif /* !QRK_CAPTURE_SETTINGS_H */
